#
# spec file for package ghc-conduit-extra
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name conduit-extra

%bcond_with tests

Name:           ghc-conduit-extra
Version:        1.1.13.1
Release:        2.5
Summary:        Batteries included conduit: adapters for common libraries
License:        MIT
Group:          System/Libraries

Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-primitive-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-streaming-commons-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-base-devel
BuildRequires:  ghc-transformers-devel
%if %{with tests}
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-bytestring-builder-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-hspec-devel
%endif
# End cabal-rpm deps

%description
The conduit package itself maintains relative small dependencies. The purpose
of this package is to collect commonly used utility functions wrapping other
library dependencies, without depending on heavier-weight dependencies.
The basic idea is that this package should only depend on haskell-platform
packages and conduit.


%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%if %{with tests}
%cabal test
%endif

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Sun Apr  3 2016 mimi.vx@gmail.com
- update to 1.1.13.1
  * Add sinkStorable and sinkStorableEx
* Thu Mar 31 2016 mimi.vx@gmail.com
- update to 1.1.12.1
  * Add sourceProcessWithStreams
  * Fix accidentally breaking change in sourceProcessWithConsumer type signature
* Mon Mar  7 2016 mimi.vx@gmail.com
- update to 1.1.11
  * withCheckedProcessCleanup
* Wed Feb 17 2016 mimi.vx@gmail.com
- update to 1.1.10.1
  * multiple combinator for Data.Conduit.Zlib
* Mon Feb 15 2016 mimi.vx@gmail.com
- update to 1.1.9.3
* Mon Dec  7 2015 mimi.vx@gmail.com
- update to 1.1.9.2
* Mon Jul 27 2015 mimi.vx@gmail.com
- update to 1.1.9.1
* Sun May 31 2015 mimi.vx@gmail.com
- update to 1.1.9
  * detectUtf
* Sun May 17 2015 mimi.vx@gmail.com
- update to 1.1.8
  * Adding buffer size to sourceHandleRange [#213](https://github.com/snoyberg/conduit/pull/213)
  * Make Binary.lines O(n) instead of O(n^2) [#209](https://github.com/snoyberg/conduit/pull/209)
* Wed Apr 22 2015 mimi.vx@gmail.com
- initial commit
